Groovy 1.7.10

## org.codehaus.groovy.runtime
[Java] Class NumberAwareComparator

    java.lang.Object
      org.codehaus.groovy.runtime.NumberAwareComparator

All Implemented Interfaces:
  Comparator

    public class NumberAwareComparator
    extends Object

Compares two objects using Groovy's friendly comparison algorithm, i.e. handles nulls gracefully (nul being less than everything else) and performs numeric type coercion if required.

Method Summary
`int` | `compare(T o1, T o2)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### compare

    public int compare(T o1, T o2)

Copyright © 2003-2010 The Codehaus. All rights reserved.